Cyan Web API - Version 1


POST api/integrations

            Creates an Integration resource within a tenant.
            

Request Information

Parameters

NameDescriptionAdditional information
integrationRepresentation

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "integrationId": "afad58be-dda9-4b8f-9ce9-52bdec4c06a6",
  "tenantId": "bf610e7d-eab4-429a-89bc-b7d0555e2d48",
  "applicationId": "0b0f9a62-bfff-41fb-9172-669febec4715",
  "integrationTypeId": "a5514dee-d409-4b76-acc1-891447ad7237",
  "integrationTypeLookupKey": "sample string 5",
  "name": "sample string 6",
  "description": "sample string 7",
  "createdDateUtc": "2026-03-15T07:47:15.4583189+00:00",
  "updatedDateUtc": "2026-03-15T07:47:15.4583189+00:00"
}

application/xml, text/xml

Sample:
<IntegrationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-03-15T07:47:15.4583189+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-03-15T07:47:15.4583189+00:00</UpdatedDateUtc>
  <ApplicationId>0b0f9a62-bfff-41fb-9172-669febec4715</ApplicationId>
  <Description>sample string 7</Description>
  <IntegrationId>afad58be-dda9-4b8f-9ce9-52bdec4c06a6</IntegrationId>
  <IntegrationTypeId>a5514dee-d409-4b76-acc1-891447ad7237</IntegrationTypeId>
  <IntegrationTypeLookupKey>sample string 5</IntegrationTypeLookupKey>
  <Name>sample string 6</Name>
  <TenantId>bf610e7d-eab4-429a-89bc-b7d0555e2d48</TenantId>
</IntegrationRepresentation>

application/x-www-form-urlencoded

Sample:

Sample not available.